summaryrefslogtreecommitdiff
path: root/src/stage3/stage3.sh
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-03-16 21:57:43 +0100
committerAndreas Grapentin <andreas@grapentin.org>2018-03-16 21:57:43 +0100
commit05c81c44232782a6a0e09746f3d29cee784fe604 (patch)
tree36ca0c876afc54c0fff945c68f285f0eb51285fe /src/stage3/stage3.sh
parent3ce8f2de02b92ff152428e3b5c2beb7a29d36c04 (diff)
stage3 almost done
Diffstat (limited to 'src/stage3/stage3.sh')
-rwxr-xr-xsrc/stage3/stage3.sh34
1 files changed, 17 insertions, 17 deletions
diff --git a/src/stage3/stage3.sh b/src/stage3/stage3.sh
index 13ecbea..885dfc4 100755
--- a/src/stage3/stage3.sh
+++ b/src/stage3/stage3.sh
@@ -76,7 +76,7 @@ while [ -s "$_deptree" ]; do
if [ "x$_pkgarch" == "xany" ]; then
# repackage arch=(any) packages
_pkgver=$(pacman -Si $_pkgname | grep '^Version' | awk '{print $3}')
- pacman -Sw --noconfirm --cachedir "$_pkgdest" $_pkgname
+ pacman -Sddw --noconfirm --cachedir "$_pkgdest" $_pkgname
elif [ "x$_pkgname" == "xca-certificates-mozilla" ]; then
# repackage ca-certificates-mozilla to avoid building nss
_pkgver=$(pacman -Si $_pkgname | grep '^Version' | awk '{print $3}')
@@ -133,25 +133,25 @@ EOF
rm -rf /var/cache/pacman/pkg-$CARCH/*
rm -rf "$_pkgdest"/native.{db,files}*
repo-add -q -R "$_pkgdest"/{native.db.tar.gz,*.pkg.tar.xz}
- fi
- # install in chroot
- _pkgfile=$(find $_pkgdest -regex "^.*/$_pkgname-[^-]*-[^-]*-[^-]*\.pkg\.tar\.xz\$" | head -n1)
- set +o pipefail
- yes | librechroot \
- -n "$CHOST-stage3" \
- -C "$_builddir"/config/pacman.conf \
- -M "$_builddir"/config/makepkg.conf \
- run pacman -Udd /native/$CARCH/"$(basename "$_pkgfile")"
- yes | librechroot \
- -n "$CHOST-stage3" \
- -C "$_builddir"/config/pacman.conf \
- -M "$_builddir"/config/makepkg.conf \
- run pacman -Syyuu
- set -o pipefail
+ # install in chroot
+ _pkgfile=$(find $_pkgdest -regex "^.*/$_pkgname-[^-]*-[^-]*-[^-]*\.pkg\.tar\.xz\$" | head -n1)
+ set +o pipefail
+ yes | librechroot \
+ -n "$CHOST-stage3" \
+ -C "$_builddir"/config/pacman.conf \
+ -M "$_builddir"/config/makepkg.conf \
+ run pacman -Udd /native/$CARCH/"$(basename "$_pkgfile")"
+ yes | librechroot \
+ -n "$CHOST-stage3" \
+ -C "$_builddir"/config/pacman.conf \
+ -M "$_builddir"/config/makepkg.conf \
+ run pacman -Syyuu
+ set -o pipefail
+ fi
# remove pkg from deptree
- sed -i "/^$_pkgname :/d; s/ $_pkgname\b//g" "$_deptree"
+ sed -i "/^$_pkgname :/d; s/ / /g; s/ $_pkgname / /g; s/ */ /g" "$_deptree"
full=$(cat "$_deptree".FULL | wc -l)
curr=$(expr $full - $(cat "$_deptree" | wc -l))